Skip to Content
S.EE Docs
API Reference

Get File Upload History

Returns a paginated list of uploaded files for the authenticated user. This API is compatible with sm.ms upload_history endpoint and returns 30 files per page sorted by creation time in descending order.

GET
/api/v1/files

Query Parameters

page?integer

Page number (default: 1)

Range1 <= value
Default1

Header Parameters

Authorization*string

API key

Response Body

OK

application/json
  1. response
code?integer

Response status code (200 indicates success)

data?array<>

List of uploaded files

message?string

Human-readable status message

success?boolean

Whether the request succeeded

Example Request
curl -X GET 'https://s.ee/api/v1/files' \  -H 'Authorization: string'
Example Response200
{  "code": 0,  "data": [    {      "created_at": 0,      "delete": "string",      "file_id": 0,      "filename": "string",      "hash": "string",      "height": 0,      "mime_type": "string",      "page": "string",      "path": "string",      "size": 0,      "storename": "string",      "thumb_url": "string",      "upload_status": 0,      "url": "string",      "width": 0    }  ],  "message": "string",  "success": true}